# MCF-Components

Se trata de una biblioteca de componentes de basada en `react` y `material-ui`. Con ella se pueden usar estas bibliotecas definiendo los componentes mediante objetos javascript planos.

## Entorno de desarrollo

La biblioteca está escrita usando `react` y `material-ui`.

Se transpila usando `babel` y se compila con `webpack`.


## Arquitectura

El código de la aplicación se encuentra condensado en el archivo `index.js`, el cual exporta los métodos `render` y `remove`.

El método `render` genera toda la estructura de componentes react a partir de la definición que se le pasa como primer argumento.
Hace falta un segundo argumento: el ID del nodo HTML dentro del cual se quiere generar los componentes.

La definición es pasada a una factoría de componentes que es quien se encarga de formar de manera recursiva todos los elementos.

El método `remove` permite eliminar la estructura de componentes creada en un nodo HTML.
