/* eslint-disable react/prop-types */

import React, {useState} from 'react'

import Button from '@material-ui/core/Button'

import { useStyles } from '../index'



export default function MCF_Button (props) {
  const [params, setParams] = useState(props.params)
  const classes = useStyles()

  return (
    <Button
      className={classes.button}
      color={params.color}  // 'default' | 'inherit' | 'primary' | 'secondary'
      size={params.size}  // 'large' | 'medium' | 'small'
      variant={params.variant}  // 'contained' | 'outlined' | 'text'
      disabled={params.disabled}  // boolean
      onClick={params.onClickListener}
    >
      {params.text/* string */}
    </Button>
  )
}
